하나의 대화를 장기 기억으로 기록합니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다. 호출자는 최종 사용자를 식별하기 위해 user_id(필수) 및 선택 사항인 Agent_id를 제공합니다.
POST /api/v1/projects/{id}/memory/turns
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/memory/turns' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"agent_id": "string",
"content": "string",
"idempotency_key": "string",
"is_error": true,
"metadata": {},
"model_name": "string",
"role": "string",
"session_id": "string",
"tool_call_id": "string",
"tool_calls": [
{}
],
"tool_name": "string",
"user_id": "string"
}'
요청 예시
{
"agent_id": "string",
"content": "string",
"idempotency_key": "string",
"is_error": true,
"metadata": {},
"model_name": "string",
"role": "string",
"session_id": "string",
"tool_call_id": "string",
"tool_calls": [
{}
],
"tool_name": "string",
"user_id": "string"
}
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{}
응답 예시(200)
{}
응답 예시(201)
{}
응답 예시(201)
{}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}